<?php

namespace App\Http\Controllers;

use App\Homestay;
use App\RequestHomestay;
use App\Room;
use Illuminate\Http\Request;
use App\User;
use Validator;
use App\Http\Controllers\Controller;
use Illuminate\Foundation\Auth\RegistersUsers;
use App\Owner;
use Illuminate\Support\Facades\DB;
use App\RequestFasilitas;

class AdminController extends Controller
{

    public function index()
    {
        return view('adminlte::home');
    }

    public function listOwner(){

        $count = User::all()->where('role',"Owner")->count();
        $data = User::all()->where('role',"Owner");
        //dd($data);

        return view('adminlte::layouts.admin.listOwner')->with('data',$data)->with('count',$count);
    }

    public function create()
    {
        return view('adminlte::layouts.admin.addOwner');
    }

    public function store(Request $request)
    {
        $data = $request->all();
        $user = new User();
        $user->name = $data['name'];
        $user->username = $data['username'];
        $user->email = $data['email'];
        $user->password = bcrypt($data['password']);
        $user->role = 'Owner';

        $owner = new Owner();
        $owner->nama = $data['name'];
        $owner->alamat = '--';
        $owner->pekerjaan = '--';
        $owner->noTelepon = '--';
        $owner->noRekening = '--';
        $owner->foto = 'gravatar.png';
          //dd($user);

        $user->save();
        $owner->save();
        //dd("berhasil agan");
        return redirect(url('admin/create'))->with('info', 'User berhasil ditambah ');
    }



    public function RequestHomestay(){

        $data = DB::table('pemilikhomestay')
            ->join('pengajuan_homestay','pemilikhomestay.id','=','pengajuan_homestay.idPemilikHomestay')
            ->select('pemilikhomestay.nama','pengajuan_homestay.*')
            ->get();

        $count = $data->count();

        //dd($data[0]->nama,"berhasil",$count);
        return view('adminlte::layouts.admin.listPengajuan')->with('data',$data)
                                                           ->with('count',$count);
    }

    public function UpdateRequestFasilitass($id){
        $data = DB::table('requestfasilitas')->where('id', $id)->first();
        $RF = RequestFasilitas::find($id);
        $RF->status = 2;

        $RF->update();

        return redirect('requestFasilitas');
    }

    public function UpdateRequestFasilitas($id){
        //$data = DB::table('requestfasilitas')->where('id', $id)->first();


        $RF = RequestFasilitas::find($id);
        $RF->status = 1;

        $RF->update();

        return redirect('requestFasilitas');
    }

    public function RequestFasilitas(){

        $data = DB::table('pemilikhomestay')
            ->join('requestfasilitas','pemilikhomestay.id','=','requestfasilitas.id_pemilik_homestay')
            ->select('pemilikhomestay.nama','requestfasilitas.*')
            ->get();

        $count = $data->count();

        return view('adminlte::layouts.admin.listRequestFasilitas')->with('data',$data)->with('count',$count);
    }

    public function AccPengajuanHomestay($id){

        //dd("masuk gan");
        $RH = RequestHomestay::find($id);
        $RH->status = 1;

        $data = DB::table('pengajuan_homestay')
                ->join('pemilikhomestay','pemilikhomestay.id','=','pengajuan_homestay.idPemilikHomestay')
                ->select('pemilikhomestay.nama','pemilikhomestay.alamat')
                ->where('pemilikhomestay.id','=',$RH->idPemilikHomestay)
                ->get();

        //dd($data[0]->nama,$data[0]->alamat);

        $hs = new Homestay();
        $hs->idPemilik = $RH->idPemilikHomestay;
        $hs->nama = $RH->namaHomestay;
        $hs->owner = $data[0]->nama ;
        $hs->alamat = $data[0]->alamat;
        $hs->jumlahKamar = $RH->jumlahKamar;
        $hs->harga = 150000;
        $hs->status='----';


        $hs->save();

        $idHts = DB::table('homestay')
                ->select('homestay.*')
                ->where('homestay.owner','=',$data[0]->nama)
                ->get();


        //dd("sampai sini dulu",$idHts);
        for ($i = 1;$i<=$RH->jumlahKamar;$i++){
            $km = new Room();
            $km->idHomestay = $idHts[0]->id;
            $km->nomor_kamar = $i;
            $km->jumlah_bed = 2;
            $km->save();
        }
        $RH->update();
        return redirect('requestHomestay');
    }


    public function destroy($id)
    {
        //
    }
}
