@extends('adminlte::layouts.app')

@section('htmlheader_title')
    {{ trans('adminlte_lang::message.home') }}
@endsection

@section('main-content')
    <div class="container-fluid spark-screen">
        <div class="row">
            <div class="col-md-10 col-md-offset-1">
                <div class="panel panel-default">
                    <div id="app">

                        @if (count($errors) > 0)
                            <div class="alert alert-danger">
                                <strong>Whoops!</strong> {{ trans('adminlte_lang::message.someproblems') }}<br><br>
                                <ul>
                                    @foreach ($errors->all() as $error)
                                        <li>{{ $error }}</li>
                                    @endforeach
                                </ul>
                            </div>
                        @endif
                        <br>
                        <div class="col-md-4 col-sm-6 col-xs-12">
                            <div class="info-box bg-info">
                                <span class="info-box-icon bg-yellow"><i class="ion ion-ios-people-outline"></i></span>

                                <div class="info-box-content">
                                    <span class="info-box-text">List Pengajuan</span>
                                    <span class="info-box-number">{{$count}}</span>
                                </div>
                                <!-- /.info-box-content -->
                            </div>
                            <!-- /.info-box -->
                        </div>
                        <br>

                        <table class="table table-striped">
                            <tr>
                                <th>Pengaju</th>
                                <th>Nama Request Fasilitas</th>
                                <th>Deskripsi</th>
                                <th>Jumlah</th>
                                <th>Gambar</th>
                                <th colspan="2">Acction</th>
                            </tr>
                            @foreach($data as $a)
                                <tr>
                                    <td>{{$a->nama}}</td>
                                    <td>{{$a->namaRequestFasilitas}}</td>
                                    <td>{{$a->deskripsi}}</td>
                                    <td>{{$a->jumlah}}</td>
                                    <td>@if($a->gambar==null)
                                            <img alt="Gambar Tidak Ada" class="img-circle img-responsive">
                                        @else
                                            <img alt="User Pic" src="img/{{$data->gambar}}" class="img-circle img-responsive">
                                        @endif
                                    </td>
                                    @if($a->status==1)
                                        <td>Di Terima</td>
                                    @elseif($a->status==2)
                                        <td>Ditolak</td>
                                    @elseif($a->status==0)
                                        <td>
                                            <form action="{{url('requestFasilitas/'.$a->id)}}" method="post">
                                                {{csrf_field()}}
                                                <input type="hidden" name="_method" value="PUT">
                                                <button type="submit" class="btn btn-info"><i class="glyphicon glyphicon-apple"> Terima</i></button>
                                            </form>
                                        <td>
                                            <form action="{{url('requestFasilitass/'.$a->id)}}" method="post">
                                                {{csrf_field()}}
                                                <input type="hidden" name="_method" value="PUT">
                                                <button type="submit" class="btn btn-danger"><i class="glyphicon glyphicon-trash"> Tolak</i></button>
                                            </form>
                                        </td>
                                    @endif
                                </tr>
                            @endforeach
                        </table>

                    </div>
                </div>
            </div>
        </div>
    </div>

@endsection


