@extends('adminlte::layouts.app')

@section('htmlheader_title')
    {{ trans('adminlte_lang::message.home') }}
@endsection

@section('main-content')
    <div class="container-fluid spark-screen">
        <div class="row">
            <div class="col-md-10 col-md-offset-1">
                <div class="panel panel-default">
                    <div id="app">

                        @if (count($errors) > 0)
                            <div class="alert alert-danger">
                                <strong>Whoops!</strong> {{ trans('adminlte_lang::message.someproblems') }}<br><br>
                                <ul>
                                    @foreach ($errors->all() as $error)
                                        <li>{{ $error }}</li>
                                    @endforeach
                                </ul>
                            </div>
                        @endif
                        <br>
                        <div class="col-md-4 col-sm-6 col-xs-12">
                            <div class="info-box bg-info">
                                <span class="info-box-icon bg-yellow"><i class="glyphicon glyphicon-modal-window"></i></span>

                                <div class="info-box-content">
                                    <span class="info-box-text">List Pengajuan Homestay</span>
                                    <span class="info-box-number">{{$count}}</span>
                                </div>
                                <!-- /.info-box-content -->
                            </div>
                            <!-- /.info-box -->
                        </div>
                        <br>

                        <table class="table table-striped">
                            <tr>
                                <th>Pengaju</th>
                                <th>Nama Homestay</th>
                                <td>Jumlah Kamar</td>
                                <td>Status</td>
                            </tr>
                            @foreach($data as $a)
                                <tr>
                                    <td>{{$a->nama}}</td>
                                    <td>{{$a->namaHomestay}}</td>
                                    <td>{{$a->jumlahKamar}}</td>
                                    <td>@if($a->status==0)  Sedang Menunggu
                                        @elseif($a->status==1)  Diterima
                                        @elseif($a->status==2)  Ditolak
                                        @endif
                                    </td>
                                </tr>


                            @endforeach
                        </table>

                    </div>
                </div>
            </div>
        </div>
    </div>

@endsection


