@extends('adminlte::layouts.app')

@section('htmlheader_title')
    {{ trans('adminlte_lang::message.home') }}
@endsection

@section('main-content')
    <div class="container-fluid spark-screen">
        <div class="row">
            <div class="col-md-10 col-md-offset-1">
                <div class="panel panel-default">
                    <div id="app">

                        @if (count($errors) > 0)
                            <div class="alert alert-danger">
                                <strong>Whoops!</strong> {{ trans('adminlte_lang::message.someproblems') }}<br><br>
                                <ul>
                                    @foreach ($errors->all() as $error)
                                        <li>{{ $error }}</li>
                                    @endforeach
                                </ul>
                            </div>
                        @endif
                        <br>
                        <div class="col-md-4 col-sm-6 col-xs-12">
                            <div class="info-box bg-info">
                                <span class="info-box-icon bg-yellow"><i class="glyphicon glyphicon-modal-window"></i></span>

                                <div class="info-box-content">
                                    <span class="info-box-text">List Room</span>
                                    <span class="info-box-number">{{$count}}</span>
                                </div>
                                <!-- /.info-box-content -->
                            </div>
                            <!-- /.info-box -->
                        </div>
                        <br>

                        <table class="table table-striped">
                            <tr>
                                <th>No Kamar</th>
                                <th>Jumlah Bed</th>
                                <td>Detail</td>
                                <td>Edit</td>
                                <td>Delete</td>
                            </tr>
                            @foreach($data as $a)
                                <tr>
                                    <td>{{$a->nomor_kamar}}</td>
                                    <td>{{$a->jumlah_bed}}</td>
                                    <td>
                                        <a href="{{url('room/'.$a->id)}}" class="btn btn-primary"><i class="glyphicon glyphicon-eye-open"></i></a>
                                    </td>
                                    <td>
                                        <a href="{{url('room/'.$a->id.'/edit')}}" class="btn btn-primary"><i class="glyphicon glyphicon-edit"></i></a>
                                    </td>
                                    <td>
                                        <form action="{{url('room/'.$a->id)}}" method="POST">
                                            {{csrf_field()}}
                                            <input type="hidden" name="_method" value="DELETE">
                                            <button type="submit" class="btn btn-danger"><i class="glyphicon glyphicon-trash"></i></button>
                                        </form>
                                    </td>
                                </tr>


                            @endforeach
                        </table>

                    </div>
                </div>
            </div>
        </div>
    </div>

@endsection


