@extends('adminlte::layouts.app')

@section('htmlheader_title')
    {{ trans('adminlte_lang::message.home') }}
@endsection

@section('main-content')
    <div class="container-fluid spark-screen">
        <div class="row">
            <div class="col-md-10 col-md-offset-1">
                <div class="panel panel-default">
                    <div class="panel-body">
                        @if(Session::has('alert-success'))
                            <div class="alert alert-success">
                                {{ Session::get('alert-success') }}
                            </div>
                        @endif

                        @if (count($errors) > 0)
                            <div class="alert alert-danger">
                                <ul>
                                    @foreach ($errors->all() as $error)
                                        <li>{{ $error }}</li>
                                    @endforeach
                                </ul>
                            </div>
                        @endif

                            <form action="{{url('profile/'.$data->id)}}" method="post" enctype="multipart/form-data">
                                <input type="hidden" name="_method" value="PUT">
                                 {{csrf_field()}}
                                <label>Nama</label>
                                <input type="text" name="nama" value="{{$data->nama}}" id="nama" class="form-control">
                                <label>Alamat</label>
                                <input type="text" name="alamat" value="{{$data->alamat}}" id="alamat" class="form-control">
                                <label>Pekerjaan</label>
                                <input type="text" name="pekerjaan" value="{{$data->pekerjaan}}" id="pekerjaan" class="form-control">
                                <label>Nomor Telepon</label>
                                <input type="text" name="noTelepon" value="{{$data->noTelepon}}" id="noTelepon" class="form-control">
                                <label>Nomor Rekening</label>
                                <input type="text" name="noRekening" value="{{$data->noRekening}}" id="noRekening" class="form-control">
                                <label>Foto</label>
                                <input type="file" name="picture" id="picture" class="form-control"><br>
                                <div class="form-group" align="right">
                                    <input type="submit" class="btn btn-primary" value="simpan">
                                </div>
                            </form>
                    </div>
                </div>
            </div>
        </div>
    </div>

@endsection